#include "crc32i.h"

uint32_t crc32c_r(uint32_t crc, const unsigned char *message, size_t sz)
{
	size_t i;

	for (i = 0; i < sz; i++)
		crc = (crc >> 8) ^ crc32_tab[(crc ^ message[i]) & 0xFF];

	return crc;
}
